%define name gecrit
%define version 2.8.3
%define release %mkrel 2

Summary:        gEcrit is a Python orientated source code editor. 
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Editors
License:        GPLv3
URL:	        http://sourceforge.net/projects/gecrit/
Source:	        http://sourceforge.net/projects/gecrit/files/SOURCE/%{name}-%{version}.tar.xz
Patch:          gecrit-2.8.3-spellcheck.patch
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildArch:	noarch
Requires:       wxPythonGTK 
Requires:       python-enchant

%description
gEcrit is a Python orientated source code editor. It tries to keep the interface as clean as 
possible and keep the menus simple. It features all the common features a Python programmer might 
need, including an interactive Python shell.

%prep
%setup -q -n %{name}-%{version}
%patch -p1


%build
python setup.py build 


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT 

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cp -af %{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor="" \
  --remove-category="Development"\
  --remove-category="IDE"\
  --add-category="Utility" \
  --add-category="TextEditor" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#desktop-icon
mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -af icons/gEcrit.png %{buildroot}/%{_datadir}/pixmaps/gEcrit.png
convert -scale 48 %buildroot/%{_datadir}/pixmaps/gEcrit.png \
%buildroot/%{_datadir}/pixmaps/gEcrit.png

#fix-directory
mkdir -p %{buildroot}/%{_datadir}/gEcrit
rm -rf %buildroot/%{python_sitelib}/gEcrit/* 
cp -af build/lib/gEcrit/* %{buildroot}/%{_datadir}/gEcrit
cp -af build/lib/gEcrit/locale/ %{buildroot}/%{_datadir}/
rm -rf build
rm -rf %{buildroot}/%{_datadir}/gEcrit/locale

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,-)
%doc COPYING README
%_bindir/%{name}
%{_datadir}/gEcrit
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%_datadir/pixmaps/*.png
%_datadir/applications/%{name}.desktop
%{python_sitelib}/*.egg-info

%changelog
* Sat Aug 17 2013 billybot <billybot> 2.8.3-2pclos2013
- update python 2.7

* Sun Sep 16 2012 Neal <nealbrks0 at gmail dot com> 2.8.3-1pclos2012
- process

* Sat Sep 15 2012 Ken <lxgator at gmail.com> 2.8.3-1pclos2012
- initial build

